#ifndef __defines_H__
#define __defines_H__

#define EDJ_MAIN_FILE_NAME "edje/$(appName).edj"
#define GROUP_MAIN "main"
#define PART_MAIN_BACKGROUND "main_background"
#define PART_MAIN_PANEL "main_panel"
#define PART_MAIN_TOOLBAR "main_toolbar"
#define PART_MAIN_CONTENT "main_content"
#define MAIN_BACKGROUND_MARGIN_H 0.02
#define MAIN_BACKGROUND_MARGIN_V 0.01
#define MAIN_TOOLBAR_TOP 0.0
#define MAIN_TOOLBAR_HEIGHT 0.065
#define MAIN_CONTENT_MARGIN_V 0.01
#define MAIN_CONTENT_TOP (MAIN_TOOLBAR_TOP+MAIN_TOOLBAR_HEIGHT+MAIN_CONTENT_MARGIN_V)

#define EDJ_APP_FILE_NAME "edje/layout_app.edj"
#define GROUP_APP "app"
#define PART_APP_BACKGROUND "app_background"
#define PART_APP_NAME_PANEL "app_name_panel"
#define PART_APP_NAME_PANEL_BACKGROUND "app_name_panel_background"
#define PART_APP_NAME_PANEL_CAPTION "app_name_panel_caption"
#define PART_APP_NAME_PANEL_NAME "app_name_panel_name"
#define PART_APP_ID_PANEL "app_id_panel"
#define PART_APP_ID_PANEL_BACKGROUND "app_id_panel_background"
#define PART_APP_ID_PANEL_CAPTION "app_id_panel_caption"
#define PART_APP_ID_PANEL_ID "app_id_panel_id"
#define PART_APP_VERSION_PANEL "app_version_panel"
#define PART_APP_VERSION_PANEL_BACKGROUND "app_version_panel_background"
#define PART_APP_VERSION_PANEL_CAPTION "app_version_panel_caption"
#define PART_APP_VERSION_PANEL_VERSION "app_version_panel_version"
#define APP_SECTION_MARGIN_V 0.02
#define APP_CAPTION_HEIGHT 0.5
#define APP_NAME_TOP 0.0
#define APP_NAME_HEIGHT (0.33-APP_SECTION_MARGIN_V/2)
#define APP_NAME_CAPTION_HEIGHT APP_CAPTION_HEIGHT
#define APP_NAME_NAME_TOP APP_NAME_CAPTION_HEIGHT
#define APP_ID_TOP APP_NAME_TOP+APP_NAME_HEIGHT+(APP_SECTION_MARGIN_V/2)
#define APP_ID_HEIGHT (0.33-APP_SECTION_MARGIN_V/2)
#define APP_ID_CAPTION_HEIGHT APP_CAPTION_HEIGHT
#define APP_ID_ID_TOP APP_ID_CAPTION_HEIGHT
#define APP_VERSION_TOP APP_ID_TOP+APP_ID_HEIGHT+(APP_SECTION_MARGIN_V/2)
#define APP_VERSION_HEIGHT 0.34
#define APP_VERSION_CAPTION_HEIGHT APP_CAPTION_HEIGHT
#define APP_VERSION_VERSION_TOP APP_VERSION_CAPTION_HEIGHT

#define EDJ_EVENTS_FILE_NAME "edje/layout_events.edj"
#define GROUP_EVENTS "events"
#define PART_EVENTS_BACKGROUND "events_background"
#define PART_EVENTS_MEMORY_PANEL "events_memory_panel"
#define PART_EVENTS_MEMORY_PANEL_BACKGROUND "events_memory_panel_background"
#define PART_EVENTS_MEMORY_PANEL_CAPTION "events_memory_panel_caption"
#define PART_EVENTS_MEMORY_PANEL_STATUS "events_memory_panel_status"
#define PART_EVENTS_BATTERY_PANEL "events_battery_panel"
#define PART_EVENTS_BATTERY_PANEL_BACKGROUND "events_battery_panel_background"
#define PART_EVENTS_BATTERY_PANEL_CAPTION "events_battery_panel_caption"
#define PART_EVENTS_BATTERY_PANEL_STATUS "events_battery_panel_status"
#define PART_EVENTS_LANGUAGE_PANEL "events_language_panel"
#define PART_EVENTS_LANGUAGE_PANEL_BACKGROUND "events_language_panel_background"
#define PART_EVENTS_LANGUAGE_PANEL_CAPTION "events_language_panel_caption"
#define PART_EVENTS_LANGUAGE_PANEL_STATUS "events_language_panel_status"
#define PART_EVENTS_REGION_PANEL "events_region_panel"
#define PART_EVENTS_REGION_PANEL_BACKGROUND "events_region_panel_background"
#define PART_EVENTS_REGION_PANEL_CAPTION "events_region_panel_caption"
#define PART_EVENTS_REGION_PANEL_STATUS "events_region_panel_status"
#define PART_EVENTS_ORIENTATION_PANEL "events_orientation_panel"
#define PART_EVENTS_ORIENTATION_PANEL_BACKGROUND "events_orientation_panel_background"
#define PART_EVENTS_ORIENTATION_PANEL_CAPTION "events_orientation_panel_caption"
#define PART_EVENTS_ORIENTATION_PANEL_STATUS "events_orientation_panel_status"
#define PART_EVENTS_SUSPENDED_PANEL "events_suspended_panel"
#define PART_EVENTS_SUSPENDED_PANEL_BACKGROUND "events_suspended_panel_background"
#define PART_EVENTS_SUSPENDED_PANEL_CAPTION "events_suspended_panel_caption"
#define PART_EVENTS_SUSPENDED_PANEL_STATUS "events_suspended_panel_status"
#define EVENTS_SECTION_MARGIN_V 0.02
#define EVENTS_CAPTION_HEIGHT 0.5
#define EVENTS_MEMORY_TOP 0.0
#define EVENTS_MEMORY_HEIGHT (0.16-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_MEMORY_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_MEMORY_STATUS_TOP EVENTS_MEMORY_CAPTION_HEIGHT
#define EVENTS_BATTERY_TOP EVENTS_MEMORY_TOP+EVENTS_MEMORY_HEIGHT+(EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_BATTERY_HEIGHT (0.17-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_BATTERY_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_BATTERY_STATUS_TOP EVENTS_BATTERY_CAPTION_HEIGHT
#define EVENTS_LANGUAGE_TOP EVENTS_BATTERY_TOP+EVENTS_BATTERY_HEIGHT+(EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_LANGUAGE_HEIGHT (0.17-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_LANGUAGE_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_LANGUAGE_STATUS_TOP EVENTS_LANGUAGE_CAPTION_HEIGHT
#define EVENTS_REGION_TOP EVENTS_LANGUAGE_TOP+EVENTS_LANGUAGE_HEIGHT+(EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_REGION_HEIGHT (0.17-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_REGION_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_REGION_STATUS_TOP EVENTS_REGION_CAPTION_HEIGHT
#define EVENTS_ORIENTATION_TOP EVENTS_REGION_TOP+EVENTS_REGION_HEIGHT+(EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_ORIENTATION_HEIGHT (0.17-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_ORIENTATION_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_ORIENTATION_STATUS_TOP EVENTS_ORIENTATION_CAPTION_HEIGHT
#define EVENTS_SUSPENDED_TOP EVENTS_ORIENTATION_TOP+EVENTS_ORIENTATION_HEIGHT+(EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_SUSPENDED_HEIGHT (0.17-EVENTS_SECTION_MARGIN_V/2)
#define EVENTS_SUSPENDED_CAPTION_HEIGHT EVENTS_CAPTION_HEIGHT
#define EVENTS_SUSPENDED_STATUS_TOP EVENTS_SUSPENDED_CAPTION_HEIGHT

#define EDJ_PATHS_FILE_NAME "edje/layout_paths.edj"
#define GROUP_PATHS "paths"
#define PART_PATHS_BACKGROUND "paths_background"
#define PART_PATHS_CONTENT "paths_content"
#define PATHS_CONTENT_TOP 0.0
#define PATHS_CONTENT_HEIGHT 1.0

#define EDJ_POPUP_FILE_NAME "edje/layout_popup.edj"
#define GROUP_POPUP "popup"
#define PART_POPUP_BACKGROUND "popup_backgroud"
#define PART_POPUP_BACKGROUND_RECT "popup_backgroud_rect"
#define PART_POPUP_PATH "popup_path"
#define PART_POPUP_FILES_LABEL "popup_files_label"
#define PART_POPUP_FILES_LIST "popup_files_list"
#define POPUP_PATH_TOP 0.0
#define POPUP_PATH_HEIGHT 0.3
#define POPUP_FILES_LABEL_LEFT 0.05
#define POPUP_FILES_LABEL_TOP POPUP_PATH_TOP+POPUP_PATH_HEIGHT
#define POPUP_FILES_LABEL_HEIGHT 0.15
#define POPUP_FILES_LIST_LEFT 0.1
#define POPUP_FILES_LIST_TOP POPUP_FILES_LABEL_TOP+POPUP_FILES_LABEL_HEIGHT+0.05
#define POPUP_FILES_LIST_HEIGHT (1.0-(POPUP_FILES_LIST_TOP))

#endif /* __defines_H__ */